package com.luojigou.xiaodou.ble

import androidx.bluetooth.BluetoothDevice

sealed class XDBLEConnectStatus() {
    object Waiting : XDBLEConnectStatus()
    data class Connecting(val device: BluetoothDevice) : XDBLEConnectStatus()
    data class Connected(val device: BluetoothDevice) : XDBLEConnectStatus()
    data class Disconnected(val device: BluetoothDevice) : XDBLEConnectStatus()
    data class Unknown(val device: BluetoothDevice) : XDBLEConnectStatus()
    data class Failed(val device: BluetoothDevice, val reason: String) : XDBLEConnectStatus()
}