package com.luojigou.xiaodou.ble

import androidx.bluetooth.BluetoothDevice
import androidx.bluetooth.ScanResult
import kotlinx.coroutines.flow.Flow

sealed class XDScanBLEStatus {
    object Disabled : XDScanBLEStatus()
    object Permission : XDScanBLEStatus()
    object NotSupported : XDScanBLEStatus()
    object Normal : XDScanBLEStatus()

    interface Host {
        fun onStatusChanged(status: XDScanBLEStatus)

        fun getManager(): Manager
    }

    interface Manager {
        suspend fun scanBle(): Flow<ScanResult>
        suspend fun connectWifi(device: BluetoothDevice, ssid: String, password: String)
    }
}